Skip to main content
GET
/
agents
/
{id}
/
feedback
List feedback for an agent
curl --request GET \
  --url https://api.x84.ai/agents/{id}/feedback
[
  {
    "address": "BScgTqy3TxXFWFMaXzS9v9JobZyu7cWWqdqqM9mBnhgo",
    "reviewer": "CD4dE2aWhU5ooxZUQranrXxNby1jgNAdHkkknniHPu3v",
    "score": 100,
    "detailUri": "Nice agent",
    "tag1": "32e4bc02a7ccf34d72692db7f08aa945102e290beb4832d5673b987015d8cb4f",
    "tag2": "9f86d081884c7d659a2feaa0c55ad015a3bf4f1b2b0b822cd15d6c15b0f00a08",
    "authVerified": true,
    "hasPaymentProof": false,
    "paymentAmount": "0",
    "paymentToken": null,
    "createdAt": "2026-02-19T02:20:07.000Z"
  },
  {
    "address": "DYJzz5JV5dHYkrYUoZBKEP5Ht6HK2Jxf74fa4Tfh42wb",
    "reviewer": "CD4dE2aWhU5ooxZUQranrXxNby1jgNAdHkkknniHPu3v",
    "score": 85,
    "detailUri": "Supafast",
    "tag1": "32e4bc02a7ccf34d72692db7f08aa945102e290beb4832d5673b987015d8cb4f",
    "tag2": "9f86d081884c7d659a2feaa0c55ad015a3bf4f1b2b0b822cd15d6c15b0f00a08",
    "authVerified": true,
    "hasPaymentProof": true,
    "paymentAmount": "10000000000",
    "paymentToken": "Gh9ZwEmdLJ8DscKNTkTqPbNwLNNBjuSzaG9Vp2KGtKJr",
    "createdAt": "2026-02-19T02:05:30.000Z"
  }
]

Path Parameters

id
string
required

NFT mint pubkey (agent ID)

Example:

"DRpbCBMxVnDK7maPM5tGv6MvB3v1sRMC86PZ8okm21hy"

Query Parameters

reviewer
string

Filter by reviewer pubkey

verified
boolean

Filter by auth-verified status

Response

200 - application/json

List of feedback entries for the agent

address
string
required

Feedback PDA address

Example:

"BScgTqy3TxXFWFMaXzS9v9JobZyu7cWWqdqqM9mBnhgo"

reviewer
string
required

Reviewer pubkey

Example:

"CD4dE2aWhU5ooxZUQranrXxNby1jgNAdHkkknniHPu3v"

score
number
required

Score (0-100)

Example:

95

authVerified
boolean
required

Whether feedback was verified by feedback authority

Example:

true

hasPaymentProof
boolean
required

Whether reviewer provided payment proof

Example:

true

paymentAmount
string
required

Payment amount (lamports/token units)

Example:

"10000000000"

detailUri
string | null

Feedback message / detail URI

Example:

"Fast and reliable agent"

tag1
string | null

First tag hash (hex)

Example:

"32e4bc02a7ccf34d72692db7f08aa945102e290beb4832d5673b987015d8cb4f"

tag2
string | null

Second tag hash (hex)

Example:

"9f86d081884c7d659a2feaa0c55ad015a3bf4f1b2b0b822cd15d6c15b0f00a08"

paymentToken
string | null

Payment token mint

Example:

"Gh9ZwEmdLJ8DscKNTkTqPbNwLNNBjuSzaG9Vp2KGtKJr"

createdAt
string<date-time> | null

Feedback creation timestamp

Example:

"2026-02-19T15:41:30.000Z"